require('nvim-treesitter.configs').setup({
    -- A list of parser names, or "all" (the five listed parsers should always be installed)
    ensure_installed = { "c", "cpp", "cuda", "lua", "python", "vim", "vimdoc", "query", "javascript" },

    -- Install parsers synchronously (only applied to `ensure_installed`)
    sync_install = false,

    -- Automatically install missing parsers when entering buffer
    -- Recommendation: set to false if you don't have `tree-sitter` CLI installed locally
    auto_install = true,

    ---- If you need to change the installation directory of the parsers (see -> Advanced Setup)
    -- parser_install_dir = "/some/path/to/store/parsers", -- Remember to run vim.opt.runtimepath:append("/some/path/to/store/parsers")!

    highlight = {
        enable = true,

        -- Setting this to true will run `:h syntax` and tree-sitter at the same time.
        -- Set this to `true` if you depend on 'syntax' being enabled (like for indentation).
        -- Using this option may slow down your editor, and you may see some duplicate highlights.
        -- Instead of true it can also be a list of languages
        additional_vim_regex_highlighting = false,
    },
    incremental_selection = {
    enable = true,
    keymaps = {
      init_selection = "tnn", -- set to `false` to disable one of the mappings
      node_incremental = "tni",
      scope_incremental = "tnc",
      node_decremental = "tnd",
    },
  },
})

-- Adding spell check to other treesitter query groups. Only comments are spell checked by default
-- vim.treesitter.query.set("python", "highlights", "(string) @string @spell")
vim.treesitter.query.set("lua", "highlights", "(string) @string @spell")
